database update problems from 3.0.14 to 3.1.8

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Get Involved
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
fsomensi
Registered User
Posts: 3
Joined: Thu Mar 17, 2016 12:08 pm

database update problems from 3.0.14 to 3.1.8

Post by fsomensi » Thu Mar 17, 2016 12:43 pm

I read several posts about this issue and I'm still having problems.
I follow the steps in : https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ and when running the database updater (/install/database_update.php), I received the following message:
Updating database to latest stable release
Database type :: mysql4
Previous version :: 3.0.14
Database updater has completed
and mysql logs:

Code: Select all

160317  9:00:32	 1432 Connect	root@localhost on
		 1432 Init DB	forum_3_0
		 1432 Query	SELECT VERSION() AS version
		 1432 Query	SET NAMES 'utf8'
		 1432 Query	SELECT VERSION() AS version
		 1432 Query	SELECT @@session.sql_mode AS sql_mode
		 1432 Query	SET SESSION sql_mode=',STRICT_ALL_TABLES,STRICT_TRANS_TABLES'
		 1432 Query	SELECT config_name, config_value, is_dynamic
				FROM phpbb_config
		 1432 Query	UPDATE phpbb_config
			SET config_value = '3.0.14'
			WHERE config_name = 'version_update_from'
		 1432 Query	INSERT INTO phpbb_config  (config_name, config_value, is_dynamic) VALUES ('version_update_from', '3.0.14', 0)
		 1432 Query	SELECT VERSION() AS version
		 1432 Query	SELECT *
			FROM phpbb_migrations
		 1432 Query	SELECT * FROM phpbb_migrations
 LIMIT 1
		 1432 Query	DELETE FROM phpbb_config
			WHERE config_name = 'version_update_from'
		 1432 Query	UPDATE phpbb_config
			SET config_value = config_value + 1
			WHERE config_name = 'assets_version'
		 1432 Quit
After delete install directory, my borwser load a blank page only and apache error logs report:

Code: Select all

[Thu Mar 17 09:22:58.489851 2016] [:error] [pid 5207] [client 192.168.25.7:58338] PHP Fatal error:  Uncaught exception 'Twig_Error_Loader' with message 'Unable to find template "message_body.html" (looked into: ).' in /var/www/html/forum/vendor/twig/twig/lib/Twig/Loader/Filesystem.php:195\nStack trace:\n#0 /var/www/html/forum/phpbb/template/twig/loader.php(107): Twig_Loader_Filesystem->findTemplate('message_body.ht...')\n#1 /var/www/html/forum/vendor/twig/twig/lib/Twig/Loader/Filesystem.php(138): phpbb\\template\\twig\\loader->findTemplate('message_body.ht...')\n#2 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(266): Twig_Loader_Filesystem->getCacheKey('message_body.ht...')\n#3 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(324): Twig_Environment->getTemplateClass('message_body.ht...', NULL)\n#4 /var/www/html/forum/phpbb/template/twig/environment.php(151): Twig_Environment->loadTemplate('message_body.ht...', NULL)\n#5 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(308): phpbb\\template\\twig\\environment->loadTemplate('message_body.ht...')\n#6 /var/www/html/forum/phpbb/templat in /var/www/html/forum/vendor/twig/twig/lib/Twig/Loader/Filesystem.php on line 195
More information:
- no different styles installed (only prosilver and subsilver2)
- no MODs
- cleared caches
- trying to migrate in a local installation
- support_info.php - version, return:

Code: Select all

[b]Version Settings[/b]
Board start date: 04 Dec 2009
constants.php version: 3.1.8
Cached version: 3.0.14
DB version: 3.0.14
Thanks for help.

User avatar
Tarantino
Registered User
Posts: 673
Joined: Sat Feb 18, 2012 1:51 pm
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by Tarantino » Fri Mar 18, 2016 5:50 am

Try to run again the database_update.

User avatar
3Di
Registered User
Posts: 13097
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by 3Di » Fri Mar 18, 2016 5:53 am

purge your cache in ACP and report.
:game_die: The new Dice Roller extension for phpBB 3.2 is out! :game_die:

Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

fsomensi
Registered User
Posts: 3
Joined: Thu Mar 17, 2016 12:08 pm

Re: database update problems from 3.0.14 to 3.1.8

Post by fsomensi » Fri Mar 18, 2016 12:03 pm

- Cache purged in ACP and phpbb cache directory before upgrade
- database_update run several times

Problem persist

User avatar
KevC
Support Team Member
Support Team Member
Posts: 68466
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by KevC » Fri Mar 18, 2016 12:22 pm

Please fill out the Support Request Template and post it back here to enable us to assist you better.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

fsomensi
Registered User
Posts: 3
Joined: Thu Mar 17, 2016 12:08 pm

Re: database update problems from 3.0.14 to 3.1.8

Post by fsomensi » Fri Mar 18, 2016 2:10 pm

Support Request Template
What version of phpBB are you using? phpBB 3.1.8
What is your board's URL? http://www.snep.com.br/forum
Who do you host your board with? Digital Ocean
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0.13
What styles do you currently have installed? ComBoot-phpBB-3.0
What language(s) is your board currently using? Brazilian Portuguese
Which database type/version are you using? MySQL 5
What is your level of experience? New to phpBB but not PHP
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? After migrate from phpbb 3.0.14 to 3.1.8
Please describe your problem. I read several posts about this issue and I'm still having problems.
I follow the steps in : https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ and when running the database updater (/install/database_update.php), I received the following message:

Updating database to latest stable release
Database type :: mysql4
Previous version :: 3.0.14
Database updater has completed

After delete install directory, my borwser load a blank page only and apache error logs report:

[Thu Mar 17 09:22:58.489851 2016] [:error] [pid 5207] [client 192.168.25.7:58338] PHP Fatal error: Uncaught exception 'Twig_Error_Loader' with message 'Unable to find template "message_body.html" (looked into: ).' in /var/www/html/forum/vendor/twig/twig/lib/Twig/Loader/Filesystem.php:195\nStack trace:\n#0 /var/www/html/forum/phpbb/template/twig/loader.php(107): Twig_Loader_Filesystem->findTemplate('message_body.ht...')\n#1 /var/www/html/forum/vendor/twig/twig/lib/Twig/Loader/Filesystem.php(138): phpbb\\template\\twig\\loader->findTemplate('message_body.ht...')\n#2 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(266): Twig_Loader_Filesystem->getCacheKey('message_body.ht...')\n#3 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(324): Twig_Environment->getTemplateClass('message_body.ht...', NULL)\n#4 /var/www/html/forum/phpbb/template/twig/environment.php(151): Twig_Environment->loadTemplate('message_body.ht...', NULL)\n#5 /var/www/html/forum/vendor/twig/twig/lib/Twig/Environment.php(308): phpbb\\template\\twig

More information:
- I tested without different styles installed (only prosilver and subsilver2)
- no MODs installed
- cleared caches in ACP and cache directory
- I trying to migrate in a local installation too
- Programm support_info.php - version, return:

Version Settings
Board start date: 04 Dec 2009
constants.php version: 3.1.8
Cached version: 3.0.14
DB version: 3.0.14
Generated by SRT Generator

Important: Actually forum is in production with 3.0.14 version.

User avatar
Leinad4Mind
Translator
Posts: 832
Joined: Sun Jun 01, 2008 11:08 pm
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by Leinad4Mind » Sat May 26, 2018 11:59 pm

Sorry to reply to a 2016 post lol but I discover why it happens your problem. You are dumping the backup on top of an updated database. Basically lets say you did a test first, and then when you dump the 3.0 on top of the 3.1/3.2 test database, then you'll run on this problem.

I would consider this a bug on the updater, since it should detect the 3.1/3.2 tables and automatically drop them down. And begin the update.
Want to access all my portuguese MOD and Extension translations?
Become my Patreon!
phpBB Portugal Translator and Moderator

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20355
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: database update problems from 3.0.14 to 3.1.8

Post by Mick » Sun May 27, 2018 8:59 am

Hardly relevant now as 3.1 EOL is imminent.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

User avatar
Tarantino
Registered User
Posts: 673
Joined: Sat Feb 18, 2012 1:51 pm
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by Tarantino » Sun May 27, 2018 2:32 pm

I had this too with 3.2. :o This makes sense. Thks!

User avatar
Lumpy Burgertushie
Registered User
Posts: 65312
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: database update problems from 3.0.14 to 3.1.8

Post by Lumpy Burgertushie » Sun May 27, 2018 3:09 pm

Leinad4Mind wrote:
Sat May 26, 2018 11:59 pm
Sorry to reply to a 2016 post lol but I discover why it happens your problem. You are dumping the backup on top of an updated database. Basically lets say you did a test first, and then when you dump the 3.0 on top of the 3.1/3.2 test database, then you'll run on this problem.

I would consider this a bug on the updater, since it should detect the 3.1/3.2 tables and automatically drop them down. And begin the update.
that would not happen if one is following the correct procedure for upgrading/updating.

why would there be a new database that you import the old database on top of?

the update/upgrade process leaves the old database there untouched until you have finished the file update. then you run the database update on the old database and you are done.

robert
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20355
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: database update problems from 3.0.14 to 3.1.8

Post by Mick » Sun May 27, 2018 4:18 pm

Tarantino wrote:
Sun May 27, 2018 2:32 pm
I had this too with 3.2
You’ll have it with version 4 as well if you don’t follow the update/upgrade instructions properly.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

Locked

Return to “[3.1.x] Support Forum”

Who is online

Users browsing this forum: No registered users and 18 guests